import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Bctdav{
    constructor () {
        this.data = {
						bcdgrp:{
							rec:{
								ownref:"",			//  Reference		.bcdgrp.rec.ownref
								resflg:"",			//  Reserved Contract		.bcdgrp.rec.resflg
								dftgarflg:"",			//  Draft to be Guaranteed		.bcdgrp.rec.dftgarflg
								rcvdat:"",			//  Docs received on		.bcdgrp.rec.rcvdat
								predat:"",			//  Date of Remittance Lt.		.bcdgrp.rec.predat
								advdat:"",			//  Advised on		.bcdgrp.rec.advdat
								oridre:"",			//  Send Original Documents to Drawee		.bcdgrp.rec.oridre
								doctypcod:"",			//  Collection Condition		.bcdgrp.rec.doctypcod
								matdat:"",			//  Maturity Date		.bcdgrp.rec.matdat
								matpercnt:"",			//  Tenor Specification		.bcdgrp.rec.matpercnt
								matpertyp:"",			//  Days/Months or Years for Maturity Period		.bcdgrp.rec.matpertyp
								matperbeg:"",			//  Tenor Starting from		.bcdgrp.rec.matperbeg
								stacty:"",			//  Country Code Risk Country		.bcdgrp.rec.stacty
								nam:"",			//  Name		.bcdgrp.rec.nam
								invtyp:"",			//  发票类型		.bcdgrp.rec.invtyp
								chato:"",			//  Our Charges to		.bcdgrp.rec.chato
								focflg:"",			//  Free of Payment		.bcdgrp.rec.focflg
								waicolcod:"",			//  Waive Collecting Bank Charges		.bcdgrp.rec.waicolcod
								wairmtcod:"",			//  Waive Remitting Bank Charges		.bcdgrp.rec.wairmtcod
								othins:"",			//  Defer Payment until		.bcdgrp.rec.othins
								stagod:"",			//  Good's Code (for Statistics)		.bcdgrp.rec.stagod
								proins:"",			//  Protest Instructions		.bcdgrp.rec.proins
							},
							cbs:{
								max:{
									cur:"",			//  Document Amount		.bcdgrp.cbs.max.cur
									amt:"",			//  Document Amount		.bcdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  Open Amount		.bcdgrp.cbs.opn1.cur
									amt:"",			//  Open Amount		.bcdgrp.cbs.opn1.amt
								},
							},
							blk:{
								bcgdet:"",			//  Maturity Text		.bcdgrp.blk.bcgdet
								bcgdetflg:"",			//  BC Tenor Details modified		.bcdgrp.blk.bcgdetflg
								colins:"",			//  Collection Instructions		.bcdgrp.blk.colins
								dftins:"",			//  Draft Instructions		.bcdgrp.blk.dftins
								othins:"",			//  Other Instructions		.bcdgrp.blk.othins
								chgtxt:"",			//  Charges Text		.bcdgrp.blk.chgtxt
							},
							dre:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bcdgrp.dre.namelc
								adrelc:"",			//  地址		.bcdgrp.dre.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bcdgrp.dre.dbfadrblkcn
							},
							rmi:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bcdgrp.rmi.namelc
								adrelc:"",			//  地址		.bcdgrp.rmi.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bcdgrp.rmi.dbfadrblkcn
							},
							drr:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bcdgrp.drr.namelc
								adrelc:"",			//  地址		.bcdgrp.drr.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bcdgrp.drr.dbfadrblkcn
							},
						},
						bctp:{
							recget:{
								sdamod:{
									seainf:"",			//  		.bctp.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bctp.recget.sdamod.dadsnd
								},
							},
							usrget:{
								sdamod:{
									seainf:"",			//  		.bctp.usrget.sdamod.seainf
								},
							},
							usr:{
								extkey:"",			//  Responsible User		.bctp.usr.extkey
							},
							docgrdm:{
								docdsclab:"",			//  Label of document description		.bctp.docgrdm.docdsclab
							},
							drep:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bctp.drep.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bctp.drep.ptsget.sdamod.dadsnd
									},
								},
							},
							rmip:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bctp.rmip.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bctp.rmip.ptsget.sdamod.dadsnd
									},
								},
							},
							drrp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bctp.drrp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bctp.drrp.ptsget.sdamod.dadsnd
									},
								},
							},
							sblx:"",			//  申报类型		.bctp.sblx
							acttyplab:"",			//  款项去向		.bctp.acttyplab
							acttyp:"",			//  ACTTYP		.bctp.acttyp
						},
						outlen:{
							szflg:"",			//  申报类型		.outlen.szflg
						},
						setmod:{
							docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
							retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
							ref:"",			//  our reference		.setmod.ref
							doccur:"",			//  document currency		.setmod.doccur
							docamt:"",			//  document amount		.setmod.docamt
							dspflg:"",			//  Type of settlement		.setmod.dspflg
							xreflg:"",			//  Recalculate Rates		.setmod.xreflg
							setglg:{
								labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
							},
							zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
							zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
						},
						trnmod:{
							trndoc:{
								advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
								amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
								advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
								advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
								amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
								doclbl:"",			//  Lable for CONDOCSTM		.trnmod.trndoc.doclbl
								doctrestm:"",			//  Document tree		.trnmod.trndoc.doctrestm
								shwinc:"",			//  Show Incoming Messages		.trnmod.trndoc.shwinc
								shwout:"",			//  Show Outgoing Messages		.trnmod.trndoc.shwout
								condocstm:"",			//  Connected Documents		.trnmod.trndoc.condocstm
								rcvatt:{
									seainf:"",			//  		.trnmod.trndoc.rcvatt.seainf
								},
								filrecv:"",			//  File Receiver		.trnmod.trndoc.filrecv
							},
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						pageId: ""			// ctx的key
				}
    }
}